Page MenuHome

Blender won't start after updating Nvidia drivers
Closed, ResolvedPublic

Description

System Information
Windows 10 64x, GPU-NVIDIA GeForce GTX 950M

Blender Version
blender-2.78c-windows64

Hi guys,
I just updated the latest GPU driver and since then Blender won't start.
First i had this:
AL lib: <EE> UpdateDeviceParams: Failed to set 44100hz, got 48000hz instead
then I deleted my appdate folder and I got this instead:
Error: EXCEPTION_ACCESS_VIOLATION
the only way I could use Blender was with the oGL.dll but It is so slow I can't really work with the program.

Later on I downgrade the nvidia drivers to the old pack I had and now Blender is working properly.

The thing is , I can't update my GPU drivers If I am willing to keep working on Blender which I do.

Are you familiar with this problems? Any offers?

Best regards,
Gal.

Details

Type
Bug

Event Timeline

Please add the driver version that works & the new version that crashes.

I'm downloading the latest version for my only NV card (Quadro K600) now.

The latest Quadro driver (377.11 from 22 March) works with Blender 2.78c

From system-info.txt:

renderer:	'Quadro K600/PCIe/SSE2'
vendor:		'NVIDIA Corporation'
version:	'4.5.0 NVIDIA 377.11'

I can't test their Geforce driver, but I'm sure another developer can follow up.

Aaron Carlisle (Blendify) triaged this task as Needs Information from User priority.Apr 9 2017, 6:01 AM

Hi again ,

NEW-
Version 381.65 Release Date April 6, 2017

OLD-
Version378.92 Release Date March 20, 2017

Thank you

Mike Erwin (merwin) raised the priority of this task from Needs Information from User to Normal.Apr 9 2017, 4:23 PM

@LazyDodo (LazyDodo) reports in IRC "I can't test on win10, but on win7/x64/gtx670 381.65 seems fine"

The issue reported can't be reproduced so far, and has been moved to the BF Blender: Unconfirmed project.
If 2 other people aren't able to redo the bug after 2 weeks, it will be closed.

We appreciate the effort that goes into making bug reports, but to be able to fix bugs we have to be able to redo them.
If there is anything you can provide to help others to reproduce the problem, be sure to include it.

I will try to get old of a similar computer Win10 and 960m to test but will likely happen in ~2 weeks.

Hello,

I can confirm Blender 2.78c crashing on startup with NVIDIA driver 381.65 on a GeForce GTX770 and WIN10 64-bit system. I had to update my NVIDIA driver to the latest version after WIN10 creators update, otherwise I could not run Windows anymore.

FYI @Gal (Gal) and @Christian Baumeister (BeautyOfTechnology) I just ordered some NVIDIA cards so will be able to debug (and hopefully fix) this in a few days.

Hi @Mike Erwin (merwin),
Thank you &
Thank you very much everyone else for the assist.

I should be able to test on a GTX 960M later this week.

Hello,

can confirm the crashes on startup with NVIDIA 381.65 on GTX970 and Win10 64bit Creators update. Update to NVIDIA 381.89 fixed the issue.

Just tested Blender 2.78c on latest Windows 10 (64-bit) and Geforce GTX 1050.

Windows automatically detected the new card and installed the 378.78 driver. I downloaded 381.65 which Blender ran fine on (no crash). Updated to the latest 381.89 which Blender also runs fine on.

@Gal (Gal) does the latest driver update resolve this issue for you?

Hi Mike @Mike Erwin (merwin) ,
There is a new driver version from yesterday 04/05/17.
I have just installed it and everything looks normal fine by now, again Windows 10 x64.

Thanks and best regards.

Mike Erwin (merwin) closed this task as Resolved.May 5 2017, 1:46 AM
Mike Erwin (merwin) claimed this task.

Fixed by unknown NVIDIA magic.